Package com.complexible.common.rdf.query

# Class PathsAsTupleQueryResult

java.lang.Object
com.complexible.common.rdf.query.PathsAsTupleQueryResult

All Implemented Interfaces:
  `CloseableIterator<BindingSet>`, `QueryResult<BindingSet>`, `SelectQueryResult`, `AutoCloseable`, `Iterator<BindingSet>`

public class PathsAsTupleQueryResult extends Object implements SelectQueryResult
Represents a result set of a path query as tuples. Each edge is a set of tuples (solutions). Paths are separated by special tuple delimiters in which the start and the end variables are unbound.

Since:
  5.0.4
Version:
  6.0
Author:
  Pavel Klinov

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from interface com.complexible.common.base.CloseableIterator

  `CloseableIterator.AbstractCloseableIterator<T>, CloseableIterator.DelegatingCloseableIterator<T>, CloseableIterator.EmptyCloseableIterator<T>`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `PathsAsTupleQueryResult(PathQueryResult thePaths)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `close()`
  Close the query results and return any resources in use back to the system.
  `boolean`
  `hasNext()`
  `BindingSet`
  `next()`
  `void`
  `remove()`
  `List<String>`
  `variables()`
  Return the list of projected variables from the query

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

  ### Methods inherited from interface java.util.Iterator

  `forEachRemaining`

  ### Methods inherited from interface com.stardog.stark.query.QueryResult

  `metadata, stream`

- ## Constructor Details

  - ### PathsAsTupleQueryResult

    public PathsAsTupleQueryResult(PathQueryResult thePaths)

- ## Method Details

  - ### variables

    @Nonnull public List<String> variables()
    Return the list of projected variables from the query
    Specified by:
      `variables` in interface `SelectQueryResult`
    Returns:
      the projection

  - ### close

    public void close()
    Close the query results and return any resources in use back to the system. This *must* be called on all result sets to avoid resource leaks.
    Specified by:
      `close` in interface `AutoCloseable`
    Specified by:
      `close` in interface `CloseableIterator<BindingSet>`
    Specified by:
      `close` in interface `QueryResult<BindingSet>`

  - ### hasNext

    public boolean hasNext()
    Specified by:
      `hasNext` in interface `Iterator<BindingSet>`
    Specified by:
      `hasNext` in interface `QueryResult<BindingSet>`

  - ### next

    public BindingSet next()
    Specified by:
      `next` in interface `Iterator<BindingSet>`
    Specified by:
      `next` in interface `QueryResult<BindingSet>`

  - ### remove

    public void remove() throws QueryExecutionFailure
    Specified by:
      `remove` in interface `Iterator<BindingSet>`
    Throws:
      `QueryExecutionFailure`